> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get an asset GET https://preview.contentful.com/spaces/{space_id}/environments/{environment_id}/assets/{asset_id} Reference: https://contentful.com/developers/docs/references/content-preview-api/assets/get-an-asset ## Request ### Path parameters - `space_id` (string, required) — Alphanumeric id of the space to retrieve. - `environment_id` (string, required) — ID of the environment in form of a string. - `asset_id` (string, required) — Alphanumeric id of the asset to retrieve. ### Query parameters - `access_token` (string, required) — A *preview* Content Preview API key. ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "fields": { "file": { "contentType": "image/png", "details": { "image": { "height": 250, "width": 250 }, "size": 12273 }, "fileName": "Nyan_cat_250px_frame.png", "url": "//images.ctfassets.net/yadj1kx9rmg0/4gp6taAwW4CmSgumq2ekUm/9da0cd1936871b8d72343e895a00d611/Nyan_cat_250px_frame.png" }, "title": "Nyan Cat" }, "metadata": { "tags": [ { "sys": { "id": "nyCampaign", "linkType": "Tag", "type": "Link" } } ] }, "sys": { "createdAt": "2025-10-27T04:33:47.000Z", "id": "nyancat", "revision": 1, "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "Asset", "updatedAt": "2025-10-27T04:33:47.000Z" } } ```